org.eclipse.net4j.util.io

## Interface StringIO

- All Known Implementing Classes:
    StringCompressor, StringCompressor.Counting

      public interface StringIO

  Since:
    2.0
  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static StringIO` | `DIRECT`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `read(ExtendedDataInput in)`
    `void` | `write(ExtendedDataOutput out, String string)`

- - ### Field Detail

    - #### DIRECT

          static final StringIO DIRECT

  - ### Method Detail

    - #### write

          void write(ExtendedDataOutput out,
                     String string)
              throws IOException

      Throws:
        `IOException`

    - #### read

          String read(ExtendedDataInput in)
               throws IOException

      Throws:
        `IOException`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html